<script>
import {curRoute} from '../router';

export let page = {
  path: '/',
  name: 'home',
}

export let style = 'nav';

function redirectTo(event) {
  curRoute.set(event.target.pathname);

  window.history.pushState({path: page.path}, '', window.location.origin + page.path);
}
</script>

{#if style == 'button'}
  <a href="{page.path}" on:click|preventDefault={redirectTo} class="mdc-button mdc-card__action mdc-card__action--button">{page.name}</a>
{:else if style == 'nav'}
  <a class="block mt-4 lg:inline-block lg:mt-0 text-teal-200 hover:text-white mr-4" href="{page.path}" on:click|preventDefault={redirectTo}>{page.name}</a>
{/if}


<style lang="scss">
@import "@material/button/mdc-button";
</style>